package java.awt;

import java.awt.image.ColorModel;
import java.awt.image.Raster;
import java.awt.image.WritableRaster;

class ColorPaintContext implements PaintContext {
   int color;
   // $FF: renamed from: cm java.awt.image.ColorModel
   ColorModel field_0;
   WritableRaster savedTile;
   // $FF: renamed from: c java.lang.Object
   Object field_1;

   protected ColorPaintContext(int var1, ColorModel var2) {
      this.color = var1;
      this.field_0 = var2;
      this.field_1 = var2.getDataElements(var1, (Object)null);
   }

   public void dispose() {
   }

   public ColorModel getColorModel() {
      return this.field_0;
   }

   public synchronized Raster getRaster(int var1, int var2, int var3, int var4) {
      WritableRaster var5 = this.savedTile;
      if (var5 == null || var3 > ((Raster)var5).getWidth() || var4 > ((Raster)var5).getHeight()) {
         var5 = this.field_0.createCompatibleWritableRaster(var3, var4);

         for(int var6 = 0; var6 < var4; ++var6) {
            for(int var7 = 0; var7 < var3; ++var7) {
               var5.setDataElements(var7, var6, this.field_1);
            }
         }

         if (var3 <= 64 && var4 <= 64) {
            this.savedTile = var5;
         }
      }

      return var5;
   }
}
