package java.awt;

import java.awt.peer.LightweightPeer;

final class GraphicsCallback$PaintHeavyweightComponentsCallback extends GraphicsCallback {
   private static GraphicsCallback$PaintHeavyweightComponentsCallback instance = new GraphicsCallback$PaintHeavyweightComponentsCallback();

   private GraphicsCallback$PaintHeavyweightComponentsCallback() {
   }

   public void run(Component var1, Graphics var2) {
      if (var1.peer instanceof LightweightPeer) {
         var1.paintHeavyweightComponents(var2);
      } else {
         var1.paintAll(var2);
      }

   }

   static GraphicsCallback$PaintHeavyweightComponentsCallback getInstance() {
      return instance;
   }
}
