package java.awt;

import java.awt.peer.LightweightPeer;

final class GraphicsCallback$PeerPaintCallback extends GraphicsCallback {
   private static GraphicsCallback$PeerPaintCallback instance = new GraphicsCallback$PeerPaintCallback();

   private GraphicsCallback$PeerPaintCallback() {
   }

   public void run(Component var1, Graphics var2) {
      var1.validate();
      if (var1.peer instanceof LightweightPeer) {
         var1.lightweightPaint(var2);
      } else {
         var1.peer.paint(var2);
      }

   }

   static GraphicsCallback$PeerPaintCallback getInstance() {
      return instance;
   }
}
