package java.awt;

import java.awt.peer.LightweightPeer;

final class GraphicsCallback$PeerPrintCallback extends GraphicsCallback {
   private static GraphicsCallback$PeerPrintCallback instance = new GraphicsCallback$PeerPrintCallback();

   private GraphicsCallback$PeerPrintCallback() {
   }

   public void run(Component var1, Graphics var2) {
      var1.validate();
      if (var1.peer instanceof LightweightPeer) {
         var1.lightweightPrint(var2);
      } else {
         var1.peer.print(var2);
      }

   }

   static GraphicsCallback$PeerPrintCallback getInstance() {
      return instance;
   }
}
