package java.awt;

import java.util.HashMap;

public abstract class RenderingHints$Key {
   private static HashMap identitymap = new HashMap(17);
   private int privatekey;

   private String getIdentity() {
      return "Instance(" + this.privatekey + ") of " + this.getClass().getName();
   }

   private static synchronized void recordIdentity(RenderingHints$Key var0) {
      String var1 = var0.getIdentity();
      if (identitymap.containsKey(var1)) {
         throw new IllegalArgumentException(var1 + " already registered");
      } else {
         identitymap.put(var1, var0);
      }
   }

   protected RenderingHints$Key(int var1) {
      this.privatekey = var1;
      recordIdentity(this);
   }

   public abstract boolean isCompatibleValue(Object var1);

   protected final int intKey() {
      return this.privatekey;
   }

   public final int hashCode() {
      return System.identityHashCode(this);
   }

   public final boolean equals(Object var1) {
      return this == var1;
   }
}
