package java.awt.dnd;

public class DragSourceDragEvent extends DragSourceEvent {
   private int targetActions = 0;
   private int dropAction = 0;
   private int gestureModifiers = 0;

   public DragSourceDragEvent(DragSourceContext var1, int var2, int var3, int var4) {
      super(var1);
      this.targetActions = var3;
      this.gestureModifiers = var4;
      this.dropAction = var2;
   }

   public int getTargetActions() {
      return this.targetActions;
   }

   public int getGestureModifiers() {
      return this.gestureModifiers;
   }

   public int getUserAction() {
      return this.dropAction;
   }

   public int getDropAction() {
      return this.dropAction & this.targetActions & ((DragSourceEvent)this).getDragSourceContext().getSourceActions();
   }
}
