package java.awt.font;

import java.awt.geom.AffineTransform;

public class FontRenderContext {
   // $FF: renamed from: tx java.awt.geom.AffineTransform
   private transient AffineTransform field_0;
   private transient boolean bIsAntiAliased;
   private transient boolean bUsesFractionalMetrics;

   protected FontRenderContext() {
      this.field_0 = new AffineTransform();
      this.bIsAntiAliased = false;
      this.bUsesFractionalMetrics = false;
   }

   public FontRenderContext(AffineTransform var1, boolean var2, boolean var3) {
      if (var1 == null) {
         this.field_0 = new AffineTransform();
      } else {
         this.field_0 = new AffineTransform(var1);
      }

      this.bIsAntiAliased = var2;
      this.bUsesFractionalMetrics = var3;
   }

   public AffineTransform getTransform() {
      return new AffineTransform(this.field_0);
   }

   public boolean isAntiAliased() {
      return this.bIsAntiAliased;
   }

   public boolean usesFractionalMetrics() {
      return this.bUsesFractionalMetrics;
   }
}
