package java.awt.geom;

public class Rectangle2D$Double extends Rectangle2D {
   // $FF: renamed from: x double
   public double field_0;
   // $FF: renamed from: y double
   public double field_1;
   public double width;
   public double height;

   public Rectangle2D$Double() {
   }

   public Rectangle2D$Double(double var1, double var3, double var5, double var7) {
      this.setRect(var1, var3, var5, var7);
   }

   public double getX() {
      return this.field_0;
   }

   public double getY() {
      return this.field_1;
   }

   public double getWidth() {
      return this.width;
   }

   public double getHeight() {
      return this.height;
   }

   public boolean isEmpty() {
      return this.width <= (double)0.0F || this.height <= (double)0.0F;
   }

   public void setRect(double var1, double var3, double var5, double var7) {
      this.field_0 = var1;
      this.field_1 = var3;
      this.width = var5;
      this.height = var7;
   }

   public void setRect(Rectangle2D var1) {
      this.field_0 = ((RectangularShape)var1).getX();
      this.field_1 = ((RectangularShape)var1).getY();
      this.width = ((RectangularShape)var1).getWidth();
      this.height = ((RectangularShape)var1).getHeight();
   }

   public int outcode(double var1, double var3) {
      int var5 = 0;
      if (this.width <= (double)0.0F) {
         var5 |= 5;
      } else if (var1 < this.field_0) {
         var5 |= 1;
      } else if (var1 > this.field_0 + this.width) {
         var5 |= 4;
      }

      if (this.height <= (double)0.0F) {
         var5 |= 10;
      } else if (var3 < this.field_1) {
         var5 |= 2;
      } else if (var3 > this.field_1 + this.height) {
         var5 |= 8;
      }

      return var5;
   }

   public Rectangle2D getBounds2D() {
      return new Rectangle2D$Double(this.field_0, this.field_1, this.width, this.height);
   }

   public Rectangle2D createIntersection(Rectangle2D var1) {
      Rectangle2D$Double var2 = new Rectangle2D$Double();
      Rectangle2D.intersect(this, var1, var2);
      return var2;
   }

   public Rectangle2D createUnion(Rectangle2D var1) {
      Rectangle2D$Double var2 = new Rectangle2D$Double();
      Rectangle2D.union(this, var1, var2);
      return var2;
   }

   public String toString() {
      return this.getClass().getName() + "[x=" + this.field_0 + ",y=" + this.field_1 + ",w=" + this.width + ",h=" + this.height + "]";
   }
}
