package java.awt;

import java.awt.geom.Point2D;
import java.io.Serializable;

public class Point extends Point2D implements Serializable {
   // $FF: renamed from: x int
   public int field_0;
   // $FF: renamed from: y int
   public int field_1;
   private static final long serialVersionUID = -5276940640259749850L;

   public Point() {
      this(0, 0);
   }

   public Point(Point var1) {
      this(var1.field_0, var1.field_1);
   }

   public Point(int var1, int var2) {
      this.field_0 = var1;
      this.field_1 = var2;
   }

   public double getX() {
      return (double)this.field_0;
   }

   public double getY() {
      return (double)this.field_1;
   }

   public Point getLocation() {
      return new Point(this.field_0, this.field_1);
   }

   public void setLocation(Point var1) {
      this.setLocation(var1.field_0, var1.field_1);
   }

   public void setLocation(int var1, int var2) {
      this.move(var1, var2);
   }

   public void setLocation(double var1, double var3) {
      this.field_0 = (int)Math.round(var1);
      this.field_1 = (int)Math.round(var3);
   }

   public void move(int var1, int var2) {
      this.field_0 = var1;
      this.field_1 = var2;
   }

   public void translate(int var1, int var2) {
      this.field_0 += var1;
      this.field_1 += var2;
   }

   public boolean equals(Object var1) {
      if (!(var1 instanceof Point)) {
         return super.equals(var1);
      } else {
         Point var2 = (Point)var1;
         return this.field_0 == var2.field_0 && this.field_1 == var2.field_1;
      }
   }

   public String toString() {
      return this.getClass().getName() + "[x=" + this.field_0 + ",y=" + this.field_1 + "]";
   }
}
