package java.awt.datatransfer;

public class Clipboard {
   String name;
   protected ClipboardOwner owner;
   protected Transferable contents;

   public Clipboard(String var1) {
      this.name = var1;
   }

   public String getName() {
      return this.name;
   }

   public synchronized void setContents(Transferable var1, ClipboardOwner var2) {
      if (this.owner != null && this.owner != var2) {
         this.owner.lostOwnership(this, this.contents);
      }

      this.owner = var2;
      this.contents = var1;
   }

   public synchronized Transferable getContents(Object var1) {
      return this.contents;
   }
}
