package java.awt.font;

import java.awt.geom.AffineTransform;
import java.io.Serializable;

public final class TransformAttribute implements Serializable {
   private AffineTransform transform;

   public TransformAttribute(AffineTransform var1) {
      if (var1 == null) {
         throw new IllegalArgumentException("transform may not be null");
      } else {
         this.transform = new AffineTransform(var1);
      }
   }

   public AffineTransform getTransform() {
      return new AffineTransform(this.transform);
   }
}
