package java.awt.peer;

import java.awt.Rectangle;

public interface TextComponentPeer extends ComponentPeer {
   void setEditable(boolean var1);

   String getText();

   void setText(String var1);

   int getSelectionStart();

   int getSelectionEnd();

   void select(int var1, int var2);

   void setCaretPosition(int var1);

   int getCaretPosition();

   int getIndexAtPoint(int var1, int var2);

   Rectangle getCharacterBounds(int var1);

   long filterEvents(long var1);
}
